package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceHeableModel;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceListModel;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceSearchModel;

import java.util.List;


public interface IOfflineConferenceService {
    List<OfflineConferenceListModel> queryList(OfflineConferenceSearchModel inputModel, BaseExample.Page page);
    long queryCount(OfflineConferenceSearchModel inputModel);
    OfflineConferenceListModel queryOne(long id);
    ResultState<Long> handle(OfflineConferenceHeableModel inputModel);
}
